[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Controls' (#lcl)

# TAlign

Alignment options for a control, within its parent control.

## Declaration

Source position: controls.pp line 117

`type TAlign = (`
`alNone,` |  |
`alTop,` |  |
`alBottom,` |  |
`alLeft,` |  |
`alRight,` |  |
`alClient,` |  |
`alCustom` |  |
`);`

## Description

At most one control can have alClient alignment.

The order of multiple controls of the same (stackable) alignment is determined by their Left or Top coordinate.

The precedence of conflicting alignment requests (e.g. one at top, one at right) is resolved [how???]

[which provisions exist for alCustom implementation?]

The latest version of this document can be found at lazarus-ccr.sourceforge.net.